ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Attributes | List of all members
UpperTesterDenmLayer Class Reference

`#include <UpperTesterDenmLayer.hh>`

Inheritance diagram for UpperTesterDenmLayer:

## Public Member Functions
| UpperTesterDenmLayer ()
| UpperTesterDenmLayer (const std::string &p_type, const std::string &param)
virtual | ~UpperTesterDenmLayer ()
void | sendMsg (const LibItsDenm__TypesAndValues::UtDenmInitialize &send_par, Params &params)
void | sendMsg (const LibItsDenm__TypesAndValues::UtDenmChangePosition &send_par, Params &params)
void | sendMsg (const LibItsDenm__TypesAndValues::UtDenmChangePseudonym &send_par, Params &params)
void | sendMsg (const LibItsDenm__TypesAndValues::UtDenmTrigger &send_par, Params &params)
void | sendMsg (const LibItsDenm__TypesAndValues::UtDenmUpdate &send_par, Params &params)
void | sendMsg (const LibItsDenm__TypesAndValues::UtDenmTermination &send_par, Params &params)
virtual void | send_data (OCTETSTRING &data, Params &params)
| Send bytes formated data to the lower layers. More...
virtual void | receive_data (OCTETSTRING &data, Params &info)
| Receive bytes formated data from the lower layers. More...
Public Member Functions inherited from t_layer< LibItsDenm__TestSystem::UpperTesterPort >
| t_layer ()
| The list of the upper ports. More...
| t_layer (const std::string &p_type)
| Specialized constructor Create a new instance of the layer class with its type description. More...
void | add_upper_port (LibItsDenm__TestSystem::UpperTesterPort *p_port)
| Add a new upper port layer. More...
void | remove_upper_port (LibItsDenm__TestSystem::UpperTesterPort *)
| Remove the specified upper layer port protocol from the list of the upper layers. More...
Public Member Functions inherited from layer
| layer ()
| Type description, it indicates the protocol type (e.g. CAM, DENM, GN, ETH, PCAP...) More...
| layer (const std::string &p_type)
| Specialized constructor Create a new instance of the layer class with its type description. More...
virtual | ~layer ()
| Default destructor. More...
void | delete_layer ()
| Delete this layer. More...
void | add_upper_layer (layer *p_layer)
| Add a new layer in the list of the upper layer. More...
void | remove_upper_layer (layer *p_layer)
| Remove the specified upper layer protocol from the list of the upper layer. More...
const std::string & | to_string () const
| Remove the specified upper layer protocol from the list of the upper layer. More...

## Private Attributes
Params | _params
UpperTesterDenmCodec | _codec

## Additional Inherited Members
Protected Member Functions inherited from t_layer< LibItsDenm__TestSystem::UpperTesterPort >
void | to_all_upper_ports (const TMessage &p_message, const Params &p_params)
| Forward the message to all available upper port layers. More...
Protected Member Functions inherited from layer
void | to_all_layers (std::vector< layer *> &layers, OCTETSTRING &data, Params &params)
void | receive_to_all_layers (OCTETSTRING &data, Params &params)
void | send_to_all_layers (OCTETSTRING &data, Params &params)
Protected Attributes inherited from layer
std::string | type
| List of the lower protocol layers. More...

## Constructor & Destructor Documentation

## ◆ UpperTesterDenmLayer() [1/2]

UpperTesterDenmLayer::UpperTesterDenmLayer | ( |  | ) |
| inline

## ◆ UpperTesterDenmLayer() [2/2]

UpperTesterDenmLayer::UpperTesterDenmLayer | ( | const std::string & | p_type,
|  | const std::string & | param
| ) |  |

## ◆ ~UpperTesterDenmLayer()

virtual UpperTesterDenmLayer::~UpperTesterDenmLayer | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ receive_data()

void UpperTesterDenmLayer::receive_data | ( | OCTETSTRING & | data,
|  | Params & | params
| ) |  |
| virtual

Receive bytes formated data from the lower layers.

Parameters

  [in] | p_data | The bytes formated data received
  [in] | p_params | Some lower layers parameters values when data was received

Todo:
  Remove the logs

Reimplemented from layer.

## ◆ send_data()

void UpperTesterDenmLayer::send_data | ( | OCTETSTRING & | data,
|  | Params & | params
| ) |  |
| virtual

Send bytes formated data to the lower layers.

Parameters

  [in] | p_data | The data to be sent
  [in] | p_params | Some parameters to overwrite default value of the lower layers parameters

Todo:
  Remove the logs

Reimplemented from layer.

## ◆ sendMsg() [1/6]

void UpperTesterDenmLayer::sendMsg | ( | const LibItsDenm__TypesAndValues::UtDenmInitialize & | send_par,
|  | Params & | params
| ) |  |

## ◆ sendMsg() [2/6]

void UpperTesterDenmLayer::sendMsg | ( | const LibItsDenm__TypesAndValues::UtDenmChangePosition & | send_par,
|  | Params & | params
| ) |  |

## ◆ sendMsg() [3/6]

void UpperTesterDenmLayer::sendMsg | ( | const LibItsDenm__TypesAndValues::UtDenmChangePseudonym & | send_par,
|  | Params & | params
| ) |  |

## ◆ sendMsg() [4/6]

void UpperTesterDenmLayer::sendMsg | ( | const LibItsDenm__TypesAndValues::UtDenmTrigger & | send_par,
|  | Params & | params
| ) |  |

## ◆ sendMsg() [5/6]

void UpperTesterDenmLayer::sendMsg | ( | const LibItsDenm__TypesAndValues::UtDenmUpdate & | send_par,
|  | Params & | params
| ) |  |

## ◆ sendMsg() [6/6]

void UpperTesterDenmLayer::sendMsg | ( | const LibItsDenm__TypesAndValues::UtDenmTermination & | send_par,
|  | Params & | params
| ) |  |

## Member Data Documentation

## ◆ _codec

UpperTesterDenmCodec UpperTesterDenmLayer::_codec
| private

## ◆ _params

Params UpperTesterDenmLayer::_params
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/UpperTesterDenmLayer.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/UpperTesterDenmLayer.cc